# UserAuthException (sshj 0.7.0 API)
Date: 2012-01-08

## net.schmizz.sshj.userauth
Class UserAuthException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  net.schmizz.sshj.common.SSHException
                      net.schmizz.sshj.userauth.UserAuthException

All Implemented Interfaces:
  Serializable

    public class UserAuthException

extends SSHException

User authentication exception

See Also:
  Serialized Form

Field Summary
`static ExceptionChainer<UserAuthException>` `chainer`

Constructor Summary
`UserAuthException(DisconnectReason code)`
`UserAuthException(DisconnectReason code, String message)`
`UserAuthException(DisconnectReason code, String message, Throwable cause)`
`UserAuthException(DisconnectReason code, Throwable cause)`
`UserAuthException(String message)`
`UserAuthException(String message, Throwable cause)`
`UserAuthException(Throwable cause)`

Method Summary

Methods inherited from class net.schmizz.sshj.common.SSHException
`getDisconnectReason, getMessage, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### chainer

    public static final ExceptionChainer<UserAuthException> chainer

Constructor Detail

### UserAuthException

    public UserAuthException(DisconnectReason code)

### UserAuthException

    public UserAuthException(DisconnectReason code,
                             String message)

### UserAuthException

    public UserAuthException(DisconnectReason code,
                             String message,
                             Throwable cause)

### UserAuthException

    public UserAuthException(DisconnectReason code,
                             Throwable cause)

### UserAuthException

    public UserAuthException(String message)

### UserAuthException

    public UserAuthException(String message,
                             Throwable cause)

### UserAuthException

    public UserAuthException(Throwable cause)

Copyright © 2009-2012. All Rights Reserved.